Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel.basic.tools
Class UniverseClassLoader

    java.lang.Object
      java.lang.ClassLoader
          things.thinger.kernel.basic.tools.UniverseClassLoader

    public class UniverseClassLoader

extends java.lang.ClassLoader

A goofy class loader for compile time.

NOTE: the universeOnly boolean is VERY IMPORTANT for security. It should be true for execution of classes and false for compile time. This will keep users from eclipsing core classes with THINGS.

Version:
  1.0

  Version History

      EPG - Initial - 8 JUL 07

Author:
  Erich P. Gatejen

Constructor Summary
`UniverseClassLoader()`

Method Summary
`java.lang.Class<?>` | `findClass(java.lang.String name)` Find the class by name.
`void` | `init(UniverseAnchor ua, boolean universeOnly)` Init it.

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniverseClassLoader

    public UniverseClassLoader()

Method Detail

### init

    public void init(UniverseAnchor ua,
                     boolean universeOnly)

  Init it. Without doing this, it will not actually see a universe.

  Parameters:
    `ua` - where in the universe to look.
    `universeOnly` - if true, it will look at the universe only!
  See Also:
    `UniverseAnchor`

### findClass

    public java.lang.Class<?> findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Find the class by name.

  Overrides:
    `findClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`
  See Also:
    `ClassLoader.findClass(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.